Meteora DLMM Pool
This endpoint returns basic pool information for a Meteora DLMM (Dynamic Liquidity Market Maker) pool. It accepts one or more comma-separated pool addresses and returns pricing, liquidity, volume, and fee metrics for each pool in a single request.
GET
https://api.cambrian.org/solana/meteora-dlmm/pool
Parameters
pool_addresses* (string)
Comma-separated pool addresses within the same DEX. Example: addr1,addr2,addr3
Responses
Code
Description
200
Successful response
Media type: application/vnd.cambrian.table.v1.0.0+json
[
{
"columns": [
{
"name": "chainId",
"type": "UInt16"
},
{
"name": "dexName",
"type": "String"
},
{
"name": "poolAddress",
"type": "FixedString(44)"
},
{
"name": "createdAt",
"type": "DateTime('UTC')"
},
{
"name": "token0Address",
"type": "FixedString(44)"
},
{
"name": "token0Symbol",
"type": "String"
},
{
"name": "token0Decimals",
"type": "UInt8"
},
{
"name": "token1Address",
"type": "FixedString(44)"
},
{
"name": "token1Symbol",
"type": "String"
},
{
"name": "token1Decimals",
"type": "UInt8"
},
{
"name": "binStep",
"type": "UInt16"
},
{
"name": "feeTier",
"type": "UInt32"
},
{
"name": "activeBinId",
"type": "Int32"
},
{
"name": "currentPrice",
"type": "Nullable(Float64)"
},
{
"name": "lastSwapTime",
"type": "DateTime('UTC')"
},
{
"name": "reserve0Address",
"type": "FixedString(44)"
},
{
"name": "reserve1Address",
"type": "FixedString(44)"
},
{
"name": "token0PriceUSD",
"type": "Float64"
},
{
"name": "token1PriceUSD",
"type": "Float64"
},
{
"name": "tvlToken0",
"type": "Nullable(Float64)"
},
{
"name": "tvlToken1",
"type": "Nullable(Float64)"
},
{
"name": "tvlUSD",
"type": "Nullable(Float64)"
},
{
"name": "feesToken0",
"type": "Nullable(Float64)"
},
{
"name": "feesToken1",
"type": "Nullable(Float64)"
},
{
"name": "fees24h",
"type": "Nullable(Float64)"
},
{
"name": "volumeToken0",
"type": "Nullable(Float64)"
},
{
"name": "volumeToken1",
"type": "Nullable(Float64)"
},
{
"name": "volume24h",
"type": "Nullable(Float64)"
},
{
"name": "apr24h",
"type": "Float64"
},
{
"name": "swaps24h",
"type": "UInt64"
},
{
"name": "binsUsed24h",
"type": "UInt64"
},
{
"name": "priceVolatility",
"type": "Nullable(Float64)"
},
{
"name": "utilization24h",
"type": "Nullable(Float64)"
}
],
"data": [
[
900,
"Meteora",
"5rCf1DM8LjKTw4YqhnoLcngyZYeNnQqztScTogYHAS6",
"2024-03-30T02:47:42+00:00",
"So11111111111111111111111111111111111111112",
"SOL",
9,
"EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"USDC",
6,
4,
400,
-5745,
100.5057315739129,
"2026-08-25T08:42:45+00:00",
"EYj9xKw6ZszwpyNibHY7JD5o3QgTVrSdcBp1fMJhrR9o",
"CoaxzEh8p5YyGLcj36Eo3cUThVJxeKCs7qvLAGDYwBcz",
100.39827893159513,
1,
17369.970428383,
3465453.105507,
5209368.241609355,
304.645926114,
31093.312021,
61679.23868636749,
1276307.765204151,
124986578.486202,
128139103.01352717,
432.1622330459232,
31785,
228,
67.53971555558917,
100
]
],
"rows": 1
}
]
400
Bad Request: Invalid request parameters or malformed request.
401
Unauthorized: Missing or invalid API key. Include X-API-Key header with your request.
403
Forbidden: Invalid API key or insufficient permissions to access this resource.
404
Not Found: Endpoint or resource does not exist.
408
Request Timeout: Request took too long to process. Try again.
500
Internal Server Error: An unexpected error occurred while processing your request.
503
Service Unavailable: The server is temporarily unable to handle the request. Please try again later.
Examples
1. Retrieve pool information for a single Meteora DLMM pool
Fetches current pricing, liquidity, and volume metrics for a specific SOL/USDC Meteora DLMM pool.
curl
curl -X GET "https://api.cambrian.org/solana/meteora-dlmm/pool?pool_addresses=5rCf1DM8LjKTw4YqhnoLcngyZYeNnQqztScTogYHAS6" \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"
Response:
JSON
1[
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "dexName",
10 "type": "String"
11 },
12 {
13 "name": "poolAddress",
14 "type": "FixedString(44)"
15 },
16 {
17 "name": "createdAt",
18 "type": "DateTime('UTC')"
19 },
20 {
21 "name": "token0Address",
22 "type": "FixedString(44)"
23 },
24 {
25 "name": "token0Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token0Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "token1Address",
34 "type": "FixedString(44)"
35 },
36 {
37 "name": "token1Symbol",
38 "type": "String"
39 },
40 {
41 "name": "token1Decimals",
42 "type": "UInt8"
43 },
44 {
45 "name": "binStep",
46 "type": "UInt16"
47 },
48 {
49 "name": "feeTier",
50 "type": "UInt32"
51 },
52 {
53 "name": "activeBinId",
54 "type": "Int32"
55 },
56 {
57 "name": "currentPrice",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "lastSwapTime",
62 "type": "DateTime('UTC')"
63 },
64 {
65 "name": "reserve0Address",
66 "type": "FixedString(44)"
67 },
68 {
69 "name": "reserve1Address",
70 "type": "FixedString(44)"
71 },
72 {
73 "name": "token0PriceUSD",
74 "type": "Float64"
75 },
76 {
77 "name": "token1PriceUSD",
78 "type": "Float64"
79 },
80 {
81 "name": "tvlToken0",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "tvlToken1",
86 "type": "Nullable(Float64)"
87 },
88 {
89 "name": "tvlUSD",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "feesToken0",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "feesToken1",
98 "type": "Nullable(Float64)"
99 },
100 {
101 "name": "fees24h",
102 "type": "Nullable(Float64)"
103 },
104 {
105 "name": "volumeToken0",
106 "type": "Nullable(Float64)"
107 },
108 {
109 "name": "volumeToken1",
110 "type": "Nullable(Float64)"
111 },
112 {
113 "name": "volume24h",
114 "type": "Nullable(Float64)"
115 },
116 {
117 "name": "apr24h",
118 "type": "Float64"
119 },
120 {
121 "name": "swaps24h",
122 "type": "UInt64"
123 },
124 {
125 "name": "binsUsed24h",
126 "type": "UInt64"
127 },
128 {
129 "name": "priceVolatility",
130 "type": "Nullable(Float64)"
131 },
132 {
133 "name": "utilization24h",
134 "type": "Nullable(Float64)"
135 }
136 ],
137 "data": [
138 [
139 900,
140 "Meteora",
141 "5rCf1DM8LjKTw4YqhnoLcngyZYeNnQqztScTogYHAS6",
142 "2024-03-30T02:47:42+00:00",
143 "So11111111111111111111111111111111111111112",
144 "SOL",
145 9,
146 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
147 "USDC",
148 6,
149 4,
150 400,
151 -5745,
152 100.5057315739129,
153 "2026-08-25T08:42:45+00:00",
154 "EYj9xKw6ZszwpyNibHY7JD5o3QgTVrSdcBp1fMJhrR9o",
155 "CoaxzEh8p5YyGLcj36Eo3cUThVJxeKCs7qvLAGDYwBcz",
156 100.39827893159513,
157 1,
158 17369.970428383,
159 3465453.105507,
160 5209368.241609355,
161 304.645926114,
162 31093.312021,
163 61679.23868636749,
164 1276307.765204151,
165 124986578.486202,
166 128139103.01352717,
167 432.1622330459232,
168 31785,
169 228,
170 67.53971555558917,
171 100
172 ]
173 ],
174 "rows": 1
175 }
176]
2 {
3 "columns": [
4 {
5 "name": "chainId",
6 "type": "UInt16"
7 },
8 {
9 "name": "dexName",
10 "type": "String"
11 },
12 {
13 "name": "poolAddress",
14 "type": "FixedString(44)"
15 },
16 {
17 "name": "createdAt",
18 "type": "DateTime('UTC')"
19 },
20 {
21 "name": "token0Address",
22 "type": "FixedString(44)"
23 },
24 {
25 "name": "token0Symbol",
26 "type": "String"
27 },
28 {
29 "name": "token0Decimals",
30 "type": "UInt8"
31 },
32 {
33 "name": "token1Address",
34 "type": "FixedString(44)"
35 },
36 {
37 "name": "token1Symbol",
38 "type": "String"
39 },
40 {
41 "name": "token1Decimals",
42 "type": "UInt8"
43 },
44 {
45 "name": "binStep",
46 "type": "UInt16"
47 },
48 {
49 "name": "feeTier",
50 "type": "UInt32"
51 },
52 {
53 "name": "activeBinId",
54 "type": "Int32"
55 },
56 {
57 "name": "currentPrice",
58 "type": "Nullable(Float64)"
59 },
60 {
61 "name": "lastSwapTime",
62 "type": "DateTime('UTC')"
63 },
64 {
65 "name": "reserve0Address",
66 "type": "FixedString(44)"
67 },
68 {
69 "name": "reserve1Address",
70 "type": "FixedString(44)"
71 },
72 {
73 "name": "token0PriceUSD",
74 "type": "Float64"
75 },
76 {
77 "name": "token1PriceUSD",
78 "type": "Float64"
79 },
80 {
81 "name": "tvlToken0",
82 "type": "Nullable(Float64)"
83 },
84 {
85 "name": "tvlToken1",
86 "type": "Nullable(Float64)"
87 },
88 {
89 "name": "tvlUSD",
90 "type": "Nullable(Float64)"
91 },
92 {
93 "name": "feesToken0",
94 "type": "Nullable(Float64)"
95 },
96 {
97 "name": "feesToken1",
98 "type": "Nullable(Float64)"
99 },
100 {
101 "name": "fees24h",
102 "type": "Nullable(Float64)"
103 },
104 {
105 "name": "volumeToken0",
106 "type": "Nullable(Float64)"
107 },
108 {
109 "name": "volumeToken1",
110 "type": "Nullable(Float64)"
111 },
112 {
113 "name": "volume24h",
114 "type": "Nullable(Float64)"
115 },
116 {
117 "name": "apr24h",
118 "type": "Float64"
119 },
120 {
121 "name": "swaps24h",
122 "type": "UInt64"
123 },
124 {
125 "name": "binsUsed24h",
126 "type": "UInt64"
127 },
128 {
129 "name": "priceVolatility",
130 "type": "Nullable(Float64)"
131 },
132 {
133 "name": "utilization24h",
134 "type": "Nullable(Float64)"
135 }
136 ],
137 "data": [
138 [
139 900,
140 "Meteora",
141 "5rCf1DM8LjKTw4YqhnoLcngyZYeNnQqztScTogYHAS6",
142 "2024-03-30T02:47:42+00:00",
143 "So11111111111111111111111111111111111111112",
144 "SOL",
145 9,
146 "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
147 "USDC",
148 6,
149 4,
150 400,
151 -5745,
152 100.5057315739129,
153 "2026-08-25T08:42:45+00:00",
154 "EYj9xKw6ZszwpyNibHY7JD5o3QgTVrSdcBp1fMJhrR9o",
155 "CoaxzEh8p5YyGLcj36Eo3cUThVJxeKCs7qvLAGDYwBcz",
156 100.39827893159513,
157 1,
158 17369.970428383,
159 3465453.105507,
160 5209368.241609355,
161 304.645926114,
162 31093.312021,
163 61679.23868636749,
164 1276307.765204151,
165 124986578.486202,
166 128139103.01352717,
167 432.1622330459232,
168 31785,
169 228,
170 67.53971555558917,
171 100
172 ]
173 ],
174 "rows": 1
175 }
176]
x402 Payment Option
This endpoint supports pay-per-use access via the x402 payment protocol (v2): pay $0.05 USDC per request using blockchain micropayments. No API key required.
Quickstart (Typescript)
bash
npm install @x402/fetch @x402/evm viem
TypeScript
1import { x402Client } from "@x402/core/client";
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/solana/meteora-dlmm/pool"
11);
12const data = await response.json();
2import { ExactEvmScheme } from "@x402/evm/exact/client";
3import { wrapFetchWithPayment } from "@x402/fetch";
4import { privateKeyToAccount } from "viem/accounts";
5const signer = privateKeyToAccount(process.env.EVM_PRIVATE_KEY as `0x${string}`);
6const client = new x402Client();
7client.register("eip155:*", new ExactEvmScheme(signer));
8const fetchWithPayment = wrapFetchWithPayment(fetch, client);
9const response = await fetchWithPayment(
10 "https://x402.cambrian.org/solana/meteora-dlmm/pool"
11);
12const data = await response.json();
Quickstart (Python)
bash
pip install "x402[httpx]"
Python
1import asyncio, os
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/solana/meteora-dlmm/pool")
13 print(response.json())
14asyncio.run(main())
2from eth_account import Account
3from x402 import x402Client
4from x402.http.clients import x402HttpxClient
5from x402.mechanisms.evm import EthAccountSigner
6from x402.mechanisms.evm.exact.register import register_exact_evm_client
7async def main():
8 client = x402Client()
9 account = Account.from_key(os.getenv("EVM_PRIVATE_KEY"))
10 register_exact_evm_client(client, EthAccountSigner(account))
11 async with x402HttpxClient(client) as http:
12 response = await http.get("https://x402.cambrian.org/solana/meteora-dlmm/pool")
13 print(response.json())
14asyncio.run(main())
Payment Flow
- Send a normal request to the endpoint (no API key needed)
- Server returns 402 Payment Required with payment details
- The x402 SDK automatically signs a payment authorization with your wallet
- The SDK resubmits the request with the signed payment
- Server verifies payment and returns the API response
The x402 SDK handles steps 2 through 5 automatically.
Network: Base (chain ID 8453) | Currency: USDC | Price: $0.05 per request